using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmableYellowGourd : FarmableCrop
	{
		public static int GetCropID()
		{
			return 0x01FD;
		}

		public override Item GetCropObject()
		{
			YellowGourd gourd = new YellowGourd();

			gourd.ItemID = 0xC64;
			gourd.Amount = 2;

			return gourd;
		}

		public override int GetPickedID()
		{
			return 0x0C60;
		}

		[Constructable]
		public FarmableYellowGourd() : base( GetCropID() )
		{
			Name = "gourds";
		}

		public FarmableYellowGourd( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}